var response = {
	"result" : {
		"data" : {
			"orderNumber" : "F426721",
			"originCity" : "CRANBURY",
			"originStateCode" : "NJ",
			"originDate" : "2016-02-24 07:00:00",
			"destinationCity" : "JOLIET",
			"destinationStateCode" : "IL",
			"destinationDate" : "2016-02-29 00:01:00",
			"intermediateStops" : 3,
			"emptyMiles" : 0,
			"loadedMiles" : 792,
			"weight" : 0,
			"equipmentLength" : 53,
			"equipmentSubclass" : "CONTAINER",
			"equipmentCharacteristics" : [],
			"isHazmat" : false,
			"certifications" : [],
			"services" : ["DROPTRLR"],
			"references" : [],
			"stops" : [{
				"stopNumber" : 1,
				"sequenceNumber" : 1000,
				"stopType" : "Pickup",
				"siteName" : "HOWARD BERGER",
				"addressLines" : ["324A HALF ACRE RD"],
				"city" : "CRANBURY",
				"stateCode" : "NJ",
				"zip" : "08512",
				"latitude" : 40.32,
				"longitude" : -74.51,
				"appointmentBegin" : "2016-03-30 00:01:00",
				"appointmentEnd" : "2016-03-30 23:59:00",
				"arrivalTime" : "2016-03-30 11:00:00",
				"arrivalStatus" : "OnTime",
				"progressStatus" : "W",
				"arrivalStatusHours" : 0,
				"arrivalStatusMinutes" : 0,
				"isHazmat" : false,
				"requirements" : [],
				"milesToNextStop" : 811,
				"hoursToNextStop" : 15,
				"minutesToNextStop" : 22,
				"references" : [{
					"name" : "BOL",
					"value" : 1000
				}],
				"hazmat" : false
			}, {
				"stopNumber" : 2,
				"sequenceNumber" : 99000,
				"stopType" : "Delivery",
				"siteName" : "DOLLAR TREE DC 3",
				"addressLines" : ["300 DOLLAR TREE LANE"],
				"city" : "JOLIET",
				"stateCode" : "IL",
				"zip" : "60436",
				"latitude" : 41.52,
				"longitude" : -88.1,
				"appointmentBegin" : "2016-02-29 00:01:00",
				"appointmentEnd" : "2016-02-29 23:59:00",
				"arrivalTime" : null,
				"arrivalStatus" : "NotArrived",
				"progressStatus" : "W",
				"arrivalStatusHours" : 0,
				"arrivalStatusMinutes" : 0,
				"isHazmat" : false,
				"requirements" : [],
				"milesToNextStop" : 0,
				"hoursToNextStop" : 0,
				"minutesToNextStop" : 0,
				"references" : [],
				"hazmat" : false
			}, {
				"stopNumber" : 3,
				"sequenceNumber" : 99000,
				"stopType" : "Delivery",
				"siteName" : "DOLLAR TREE DC 3",
				"addressLines" : ["300 DOLLAR TREE LANE"],
				"city" : "JOLIET",
				"stateCode" : "IL",
				"zip" : "60436",
				"latitude" : 41.52,
				"longitude" : -88.1,
				"appointmentBegin" : "2016-02-29 00:01:00",
				"appointmentEnd" : "2016-02-29 23:59:00",
				"arrivalTime" : null,
				"arrivalStatus" : "NotArrived",
				"progressStatus" : null,
				"arrivalStatusHours" : 0,
				"arrivalStatusMinutes" : 0,
				"isHazmat" : false,
				"requirements" : [],
				"milesToNextStop" : 0,
				"hoursToNextStop" : 0,
				"minutesToNextStop" : 0,
				"references" : [],
				"hazmat" : false
			}, {
				"stopNumber" : 4,
				"sequenceNumber" : 99000,
				"stopType" : "Delivery",
				"siteName" : "DOLLAR TREE DC 3",
				"addressLines" : ["300 DOLLAR TREE LANE"],
				"city" : "JOLIET",
				"stateCode" : "IL",
				"zip" : "60436",
				"latitude" : 41.52,
				"longitude" : -88.1,
				"appointmentBegin" : "2016-02-29 00:01:00",
				"appointmentEnd" : "2016-02-29 23:59:00",
				"arrivalTime" : null,
				"arrivalStatus" : "NotArrived",
				"arrivalStatusHours" : 0,
				"arrivalStatusMinutes" : 0,
				"isHazmat" : false,
				"requirements" : [],
				"milesToNextStop" : 0,
				"hoursToNextStop" : 0,
				"minutesToNextStop" : 0,
				"references" : [],
				"hazmat" : false
			}, {
				"stopNumber" : 5,
				"sequenceNumber" : 99000,
				"stopType" : "Delivery",
				"siteName" : "DOLLAR TREE DC 3",
				"addressLines" : ["300 DOLLAR TREE LANE"],
				"city" : "JOLIET",
				"stateCode" : "IL",
				"zip" : "60436",
				"latitude" : 41.52,
				"longitude" : -88.1,
				"appointmentBegin" : "2016-02-29 00:01:00",
				"appointmentEnd" : "2016-02-29 23:59:00",
				"arrivalTime" : null,
				"arrivalStatus" : "NotArrived",
				"arrivalStatusHours" : 0,
				"arrivalStatusMinutes" : 0,
				"isHazmat" : false,
				"requirements" : [],
				"milesToNextStop" : 0,
				"hoursToNextStop" : 0,
				"minutesToNextStop" : 0,
				"references" : [],
				"hazmat" : false
			}],
			"alphaCode" : null,
			"orderMode" : "TRAIN",
			"transfloReferenceId" : "JBHI",
			"tenderStatus" : null,
			"hazmat" : false
		},
		"success" : true
	}
};
var loadDetailsController = null;

function doClick(e) {
	alert($.label.text);
}

function init() {
	loadDetailsController = Alloy.createController("loadDetails", {
		loadNumber : response.result.data.orderNumber,
		response : response,

	});
	$.vCurrentLoadDetailsContainer.add(loadDetailsController.getView());
	$.index.open();
}

init();
$.index.addEventListener("focus", function() {
	if (Alloy.Globals.clickOnPage) {
		Ti.API.info("Go to page is " + Alloy.Globals.pageToGo);
		loadDetailsController.goToPage(Alloy.Globals.pageToGo);
		Alloy.Globals.clickOnPage = false;
		Alloy.Globals.pageToGo = 0;
	}

});
